#ifndef FORM1_H
#define FORM1_H

#include <QWidget>
#include <QtGui>

#include "wMenu.h"
#include "wGame.h"
#include "wTablo.h"

#include <SDL.h>
#include <SDL_mixer.h>


class form1 : public QWidget {
Q_OBJECT
    public:
        form1(QWidget *parent = 0);

    private:
        void initSound();
        void initMyLogo();

        wMenu *menu;
        wGame *game;
        wTablo *tablo;

        Mix_Music *sound_start;    // Стартовая музыка

    signals:

    public slots:
        void startGame();
        void closeGame();
        void SetupGame();
        void AboutGame();

};

#endif // FORM1_H
